ng-alain安装

安装

官方CLI安装:

1
2
3
4
5
6
7
# 确保使用的是最新版本 Angular cli
ng new my-project --style less
cd my-project
ng add ng-alain
# 如果你想创建一个英文版本,则:
ng add ng-alain --defaultLanguage=en
ng serve

这里有一个坑,直接安装会生成package-lock.json的文件,安装会失败

正确CLI安装方式:

1
2
3
4
5
6
7
8
# 确保使用的是最新版本 Angular cli
ng new my-project --style less
cd my-project
yarn install #先把依赖包安装好再安装ag-alain,这样就不会生成lock文件导致无法安装
ng add ng-alain
# 如果你想创建一个英文版本,则:
ng add ng-alain --defaultLanguage=en
ng serve